Name:		otpclient
Version:	2.4.4
Release:	1%{?dist}
Summary:	Highly secure and easy to use GTK+ OTP client (TOTP and HOTP)

License:	GPLv3
URL:		https://github.com/paolostivanin/OTPClient
Source0:	https://github.com/paolostivanin/OTPClient/archive/%{name}-v%{version}.tar.gz
Patch0:         otpclient-fedora.patch

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	libcotp-devel	>= 1.2.1
BuildRequires:	libgcrypt-devel	>= 1.6.0
BuildRequires:	libpng-devel	>= 1.2.0
BuildRequires:	zbar-devel	>= 0.20
BuildRequires:	jansson-devel	>= 2.6.0
BuildRequires:	glib2-devel	>= 2.50
BuildRequires:	gtk3-devel	>= 3.22
BuildRequires:	libzip-devel	>= 1.0.0

Requires:	libcotp		>= 1.2.1
Requires:	libgcrypt	>= 1.6.0
Requires:	gtk3		>= 3.22
Requires:	glib2		>= 2.50
Requires:	jansson		>= 2.6.0
Requires:	libpng		>= 1.2.0
Requires:	zbar		>= 0.20
Requires:	libzip		>= 1.0.0

%description
Highly secure and easy to use GTK+ software for two-factor authentication that supports both Time-based One-time Passwords (TOTP) and HMAC-Based One-Time Passwords (HOTP)

%prep
%autosetup -n OTPClient-%{version}

%build
%cmake
%cmake_build

%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

%files
%{_bindir}/otpclient
/usr/share/applications/com.github.paolostivanin.OTPClient.desktop
/usr/share/icons/hicolor/scalable/apps/com.github.paolostivanin.OTPClient.svg
/usr/share/metainfo/com.github.paolostivanin.OTPClient.appdata.xml
/usr/share/otpclient/otpclient.ui
/usr/share/otpclient/shortcuts.ui
/usr/bin/otpclient-cli
/usr/share/icons/hicolor/scalable/apps/com.github.paolostivanin.OTPClient-symbolic.svg
/usr/share/man/man1/otpclient-cli.1.gz
/usr/share/man/man1/otpclient.1.gz

%license LICENSE
%doc README.md

%changelog
* Tue Oct 05 2021 Thomas Sailer <fedora@tsailer.ch> 2.4.4-1
- update to 2.4.4
* Sat Nov 14 2020 Detlef Graef <detlef.graef [at] gmx.de> 2.3.2-1
- Ver. 2.3.2
* Mon Aug 12 2019 Detlef Graef <detlef.graef [at] gmx.de> 1.2.2-1
- Initial version
